Delete Resume
curl --request DELETE \
--url https://api.mokaru.ai/v1/resume/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mokaru.ai/v1/resume/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mokaru.ai/v1/resume/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Resumes
Delete Resume
Delete a resume and unlink from applications
DELETE
/
v1
/
resume
/
{id}
Delete Resume
Overview
The Delete Resume endpoint permanently removes a resume. Applications linked to this resume are unlinked (theircvId is set to null) but not deleted. If the deleted resume was the default, another resume is automatically promoted.
Scope required:
resume:write | Rate limit: 10 requests/minRequest
DELETE /v1/resume/{id}
Path Parameters
string
required
Resume id to delete
Example
curl -X DELETE "https://api.mokaru.ai/v1/resume/clx1234" \
-H "Authorization: Bearer mk_your_key"
Response
boolean
Whether the resume was deleted
{
"success": true
}
This action is permanent. The resume and its associated cover letter are deleted. Applications that were linked to this resume will have their CV reference removed but will not be deleted.
Was this page helpful?
⌘I
